<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
	xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 https://maven.apache.org/xsd/maven-4.0.0.xsd">
	<modelVersion>4.0.0</modelVersion>
	<parent>
		<groupId>org.springframework.boot</groupId>
		<artifactId>spring-boot-starter-parent</artifactId>
		<version>2.7.3</version>
		<relativePath/> <!-- lookup parent from repository -->
	</parent>
	<groupId>com.poc.pgp</groupId>
	<artifactId>pgpcrypt</artifactId>
	<version>0.0.1-SNAPSHOT</version>
	<name>pgpcrypt</name>
	<description>Demo project for Spring Boot</description>
	<properties>
		<java.version>11</java.version>
	</properties>
	<dependencies>
		<dependency>
			<groupId>org.springframework.boot</groupId>
			<artifactId>spring-boot-starter-web</artifactId>
		</dependency>

		<dependency>
			<groupId>org.springframework.boot</groupId>
			<artifactId>spring-boot-devtools</artifactId>
			<scope>runtime</scope>
			<optional>true</optional>
		</dependency>
		<dependency>
			<groupId>org.projectlombok</groupId>
			<artifactId>lombok</artifactId>
			<optional>true</optional>
		</dependency>

<!--		<dependency>-->
<!--			<groupId>org.bouncycastle</groupId>-->
<!--			<artifactId>bcpg-jdk15on</artifactId>-->
<!--			<version>1.49</version>-->
<!--		</dependency>-->

		<!-- https://mvnrepository.com/artifact/org.bouncycastle/bcprov-jdk15on -->
<!--		<dependency>-->
<!--			<groupId>org.bouncycastle</groupId>-->
<!--			<artifactId>bcprov-jdk15on</artifactId>-->
<!--			<version>1.67</version>-->
<!--		</dependency>-->

		<!-- https://mvnrepository.com/artifact/org.bouncycastle/bcpg-jdk16 -->
<!--		<dependency>-->
<!--			<groupId>org.bouncycastle</groupId>-->
<!--			<artifactId>bcpg-jdk16</artifactId>-->
<!--			<version>1.46</version>-->
<!--		</dependency>-->



		<dependency>
			<groupId>org.springframework.boot</groupId>
			<artifactId>spring-boot-starter-test</artifactId>
			<scope>test</scope>
		</dependency>
	</dependencies>

	<build>
		<plugins>
			<plugin>
				<groupId>org.springframework.boot</groupId>
				<artifactId>spring-boot-maven-plugin</artifactId>
				<configuration>
					<excludes>
						<exclude>
							<groupId>org.projectlombok</groupId>
							<artifactId>lombok</artifactId>
						</exclude>
					</excludes>
				</configuration>
			</plugin>
		</plugins>
	</build>

</project>
